#include"common.h"

Text::Text(vector2D v,char *t)
{
	pos=v;
	for(int i=0;i<SIZE_OF_LABEL_NAME;i++) txt[i]=t[i];			//名前
}

Node::Node()
{
	pos=DirectionVector[NO_DIRECTION];
	for(int i=0;i<8;i++)
	{
		branch[i].SetDeviceClass(no_device);
		branch[i].SetIndexAndSubIndex(-1,-1);
	}
	path=false;
	Multipath=false;
	Short=false;
	AllRight=false;
}

Label::Label(Direction dir,int n,char *nm)
{
	d=dir;	//方向
	node_index=n;		//端子座標を保持するノードのインデックス
	for(int i=0;i<SIZE_OF_LABEL_NAME;i++) nam[i]=nm[i];			//名前
}

Conductor::Conductor(int n0,int n1,Direction di)
{
	nod[0]=n0;
	nod[1]=n1;
	d=di;
	Multipath=false;
	Short=false;
}

Gate::Gate(Operation ope,Direction dir,vector2D center,int out,std::vector<SourceData> &in)
{
	state=false;
	op=ope;
	d=dir;
	node_out=out;
	array_in=in;
}
